org.apache.tiles.core.definition

## Class DefinitionsFactoryException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.apache.tiles.api.TilesException
        - - org.apache.tiles.core.definition.DefinitionsFactoryException

- All Implemented Interfaces:
    Serializable
  Direct Known Subclasses:
    NoSuchDefinitionException

      public class DefinitionsFactoryException
      extends TilesException

  Exception thrown when an error occurs while the impl tries to create a new instance mapper.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefinitionsFactoryException()` Constructor.
    `DefinitionsFactoryException(String message)` Constructor.
    `DefinitionsFactoryException(String message, Throwable e)` Create a new `DefinitionsFactoryException` from an existing exception.
    `DefinitionsFactoryException(Throwable e)` Create a new `DefinitionsFactoryException` wrapping an existing exception.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### DefinitionsFactoryException

          public DefinitionsFactoryException()

      Constructor.

    - #### DefinitionsFactoryException

          public DefinitionsFactoryException(String message)

      Constructor.
      Parameters:
        `message` - The error or warning message.

    - #### DefinitionsFactoryException

          public DefinitionsFactoryException(Throwable e)

      Create a new `DefinitionsFactoryException` wrapping an existing exception.

      The existing exception will be embedded in the new one and its message will become the default message for the DefinitionsFactoryException.

      Parameters:
        `e` - The exception to be wrapped.

    - #### DefinitionsFactoryException

          public DefinitionsFactoryException(String message,
                                             Throwable e)

      Create a new `DefinitionsFactoryException` from an existing exception.

      The existing exception will be embedded in the new one, but the new exception will have its own message.

      Parameters:
        `message` - The detail message.
        `e` - The exception to be wrapped.

Copyright © 2000–2026 Apache Software Foundation. All rights reserved.